## EogPropertiesDialog

EogPropertiesDialog

## Synopsis

    enum                EogPropertiesDialogPage;
                        EogPropertiesDialog;
    GObject*            eog_properties_dialog_new           (GtkWindow *parent,
                                                             EogThumbView *thumbview,
                                                             GtkAction *next_image_action,
                                                             GtkAction *previous_image_action);
    void                eog_properties_dialog_update        (EogPropertiesDialog *prop,
                                                             EogImage *image);
    void                eog_properties_dialog_set_page      (EogPropertiesDialog *prop,
                                                             EogPropertiesDialogPage page);

## Object Hierarchy

      GObject
       +----EogDialog
             +----EogPropertiesDialog

## Properties

      "thumbview"                EogThumbView*         : Read / Write / Construct Only

## Description

## Details

### enum EogPropertiesDialogPage

    typedef enum {
    	EOG_PROPERTIES_DIALOG_PAGE_GENERAL = 0,
    	EOG_PROPERTIES_DIALOG_PAGE_EXIF,
    	EOG_PROPERTIES_DIALOG_PAGE_XMP
    } EogPropertiesDialogPage;

### EogPropertiesDialog

    typedef struct _EogPropertiesDialog EogPropertiesDialog;

### eog_properties_dialog_new ()

    GObject*            eog_properties_dialog_new           (GtkWindow *parent,
                                                             EogThumbView *thumbview,
                                                             GtkAction *next_image_action,
                                                             GtkAction *previous_image_action);

`parent` : |
`thumbview` : |
`next_image_action` : |
`previous_image_action` : |
Returns : |

### eog_properties_dialog_update ()

    void                eog_properties_dialog_update        (EogPropertiesDialog *prop,
                                                             EogImage *image);

`prop` : |
`image` : |

### eog_properties_dialog_set_page ()

    void                eog_properties_dialog_set_page      (EogPropertiesDialog *prop,
                                                             EogPropertiesDialogPage page);

`prop` : |
`page` : |

## Property Details

### The `"thumbview"` property

      "thumbview"                EogThumbView*         : Read / Write / Construct Only

Thumbview.